# Maintainer: Jenifael Gingras <jenifael.gingras@protonmail.com>
pkgname=sway-tablet-pad
pkgver=1.2
pkgrel=1
pkgdesc="Middleware to make drawing tablet button usable on sway."
commit="d992faaa9d3c921730fbe3a0e0f35405e9dd7ac7"
arch=('x86_64')
url="https://gitlab.com/jenifael.gingras/sway-tablet-pad"
license=('GPL3')
depends=(
  'python-uinput'
  'python-pyudev'
)

source=("${pkgname}-${pkgver}.tar.gz::https://gitlab.com/jenifael.gingras/sway-tablet-pad/-/archive/${pkgver}/sway-tablet-pad-${pkgver}.tar.gz.tar.gz")
sha256sums=('c32fa1c027a655e20916f8179e343dd3e90ac244792a0b21001b25151c6c2bc2')

package() {
  cd "$srcdir/$pkgname-$pkgver-$commit"

  mkdir -p "$pkgdir/etc/modules-load.d"
  cp uinput.conf "$pkgdir/etc/modules-load.d/"

  mkdir -p "$pkgdir/etc/udev/rules.d"
  cp udev.rules "$pkgdir/etc/udev/rules.d/99-huion.rules"

  mkdir -p "$pkgdir/opt/sway-tablet-pad"
  cp -R dessin "$pkgdir/opt/sway-tablet-pad/dessin"
  cp main.py "$pkgdir/opt/sway-tablet-pad/"
}
